# Method: applications.deviceTierConfigs.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/list#body.ListDeviceTierConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/list#try-it)

Returns created device tier configs, ordered by descending creation time.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/deviceTierConfigs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of device tier configs to return. The service may return fewer than this value. If unspecified, at most 10 device tier configs will be returned. The maximum value for this field is 100; values above 100 will be coerced to 100. Device tier configs will be ordered by descending creation time. |
| `pageToken` | `string` A page token, received from a previous `deviceTierConfigs.list` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response listing existing device tier configs.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deviceTierConfigs": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs#DeviceTierConfig`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `deviceTierConfigs[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs#DeviceTierConfig`)`` Device tier configs created by the developer. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`